/**
 * GNU Lesser General Public License
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation,
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 * Company:      DFKI GmbH<p>
 * @author Andreas Lauer
 * @version 1.0
 */

package dfki.frodo.tools.rdf_schema_grapher;

import java.io.Writer;
import java.io.IOException;

import dfki.util.config.Config;


public interface GraphBuilder
{
    void start( Config c );

    public void setNode( String name );

    public void setEdge( String source, String target );
    public void setEdge( String source, String target, String label );
    public void setEnrichNode( String node, Object[] toAdd );

    public void addNamespaceAbbreviation( String namespace, String abbrev );

    public void printGraphTo( Writer w ) throws IOException;
}