/**
 * GNU Lesser General Public License
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation,
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 * Copyright:    Copyright (c) DFKI GmbH<p>
 * Company:      DFKI GmbH<p>
 * @author Andreas Lauer
 * @version 1.0
 */

package dfki.util.config;

import java.util.Properties;
import java.util.Map;

/**
 * Reads property settings out of an original java
 * property instance.
 */
public class JavaPropertyReader extends ConfigReader
{
    public JavaPropertyReader( Properties props )
    {
        if (props == null)
           throw( new NullPointerException() );

        mProps = props;
    }

    //public JavaPropertyReader( String fileName )

    public Map/*String,String*/ readPropertySettings()
        throws ConfigReader.Exception
    {
        return( mProps );
    }

    private Properties mProps;
}