/**
 * GNU Lesser General Public License
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation,
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 * Company:      DFKI GmbH<p>
 * @author Andreas Lauer
 * @version 1.0
 */

package dfki.util.debug;


import java.lang.StringBuffer;

public class BufferHandler implements Debug.MessageHandler
{
    public BufferHandler()
    {
        mBuffer = new StringBuffer();
    }

    public void println( String msg )
    {
        mBuffer.append( msg + "\n" );
    }

    public void flush()
    {
    }

    public String toString()
    {
        return( mBuffer.toString() );
    }

    private StringBuffer mBuffer;
}