/**
 * GNU Lesser General Public License
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation,
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 * Company:      DFKI GmbH<p>
 * @author Andreas Lauer
 * @version 1.0
 */

package dfki.util.servlet;

import javax.servlet.http.*;
import javax.servlet.*;

import java.io.*;
import java.util.*;

public class DebugHttpServletRequest implements HttpServletRequest
{
    public String getQueryString() { return( queryString ); }
    public String getParameter( String id ) { return( (String)parameters.get( id ) ); }
    public String[] getParameterValues(String name) { return( new String[]{ getParameter( name ) } );
    }

    public int getContentLength() { return( -1 ); }

    public String getContentType() { return( "" ); }

    public String getProtocol() { return( "" ); }

    public String getScheme() { return( "" ); }

    public String getServerName() { return( "" ); }

    public int getServerPort() { return( 80 ); }

    public String getRemoteAddr() { return( "" ); }

    public String getRemoteHost() { return( "" ); }

    public String getRealPath(String path) { return( "" ); }

    public ServletInputStream getInputStream() throws IOException { return null; }


    public Enumeration getParameterNames() { return( Collections.enumeration( parameters.keySet() ) ); }

    public Object getAttribute(String name) { return( null ); }

    public BufferedReader getReader () throws IOException { return( null ); }

    public String getCharacterEncoding () { return( "" ); }



    public Cookie[] getCookies() { return( null ); }

    public String getMethod() { return( "GET" ); }

    public String getRequestURI() { return( "DebugServlet" ); }

    public String getServletPath() { return( "" ); }

    public String getPathInfo() { return( "" ); }

    public String getPathTranslated() { return( "" ); }

    public String getRemoteUser() { return( "" ); }

    public String getAuthType() { return( "" ); }

    public String getHeader(String name) { return( "" ); }

    public int getIntHeader(String name) { return( -1 ); }
    public long getDateHeader(String name) { return( -1 ); }

    public Enumeration getHeaderNames() { return( null ); }
    public HttpSession getSession (boolean create) { return null; }
    public String getRequestedSessionId() { return( "" ); }
    public boolean isRequestedSessionIdValid() { return( false ); }
    public boolean isRequestedSessionIdFromCookie() { return( false ); }
    public boolean isRequestedSessionIdFromUrl() { return( true ); }

    public String queryString = null;
    public Map parameters = new TreeMap();
}