
/**
 * Title:        Programming utilities for java<p>
 * Description:  Holds a collection of useful classes and methods
 * for java development.<p>
 * Copyright:    Copyright (c) <p>
 * Company:      DFKI GmbH<p>
 * @author
 * @version 1.0
 */
package dfki.util.xml;

import java.io.IOException;
import java.io.StringReader;

import org.apache.xerces.parsers.DOMParser;
import org.apache.xerces.dom.DocumentImpl;

import org.xml.sax.SAXException;
import org.xml.sax.InputSource;

import org.w3c.dom.Document;

/**
 * Implementation of {@link dfki.util.xml.XML.DOM}.
 * This class <b>must not</b> be instantiated directly.
 * Use {@link dfki.util.xml.XML.DOM#dom()} or
 * {@link dfki.util.xml.XML.DOM#dom(String)} to obtain an instance.
 */
public class XercesDOMImpl extends XML.DOM
{
    XercesDOMImpl()
    {
    }

    public Document readFromURI( String fileName ) throws SAXException, IOException
    {
        DOMParser parser = new DOMParser();
        parser.setErrorHandler(new XML.SAX.DefaultErrorHandler());
        parser.parse( fileName );
        return( checked(parser.getDocument()) );
    }

    public Document readFromString( String source ) throws SAXException, IOException
    {
        DOMParser parser = new DOMParser();
        parser.setErrorHandler( new XML.SAX.DefaultErrorHandler() );
        parser.parse(new InputSource( new StringReader( source ) ) );
        return( checked(parser.getDocument()) );
    }

    //public abstract Document readFromFile( File f ) throws SAXException, IOException;

    public Document newDocument()
    {
        return( new DocumentImpl() );
    }
}